# A demo with a button that changes a label's colour.
# Demo courtesy of Dr. Alan McLeod

import tkinter
import tkinter.colorchooser

top = tkinter.Tk()
top.title("Window Colours Demo")

testLabel = tkinter.Label(top, text="Colours!", font="Times 24 bold")
colourLabel = tkinter.Label(top, text="", font="Times 20 bold")
rgbLabel = tkinter.Label(top, text="RGB:", font="Times 20 bold") 

def main() :

    testButton = tkinter.Button(top, text="Change Colour", font="Arial 16 bold", \
                              command=changeColour)
    testButton.grid(row=0, column=0)
    testLabel.grid(row=0, column=1)
    rgbLabel.grid(row=1, column=0, sticky="E")
    colourLabel.grid(row=1, column=1)
    top.columnconfigure(1, minsize=150)
    top.columnconfigure(0, pad=20)
    top.columnconfigure(1, pad=20)
    top.rowconfigure(0, pad=20)
    top.rowconfigure(1, pad=20)
    
    tkinter.mainloop()

def changeColour() :

    userColour = tkinter.colorchooser.askcolor()
    testLabel.configure(foreground=userColour[1])
    r, g, b = userColour[0]
    colourText = 'r=' + str(int(r)) + ' g=' + str(int(g)) + ' b=' + str(int(b))
    colourLabel.configure(text=colourText)

main()
      
  

